﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <link href="css/ej.theme.min.css" rel="stylesheet" />
    <link href="css/ej.web.all.min.css" rel="stylesheet" />
    <link href="css/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="css/ej.widgets.all.min.css" rel="stylesheet" />

    <!--=== JavaScript ===-->
    <script src='<%= Me.ResolveUrl("js/jquery-1.11.3.min.js")%>' type="text/javascript"></script>
    <script src='<%= Me.ResolveUrl("js/jquery-ui-1.10.2.custom.min.js")%>' type="text/javascript"></script>
    <script src='<%= Me.ResolveUrl("js/bootstrap.min.js")%>' type="text/javascript"></script>
    <script src='<%= Me.ResolveUrl("js/jquery.mobile.custom.min.js")%>' type="text/javascript"></script>

    <script src='<%= Me.ResolveUrl("js/jquery.easing.1.3.min.js")%>' type="text/javascript"></script>
    <script src='<%= Me.ResolveUrl("js/ej.web.all.min.js")%>' type="text/javascript"></script>
    <script src='<%= Me.ResolveUrl("js/ej.webform.min.js")%>' type="text/javascript"></script>

    <script>      
        
        $(function () {
            $("#container").ejChart(
            {
                //Initializing Primary X Axis	
                primaryXAxis:
                {
                    axisLine: { visible: false },
                    majorGridLines: { visible: false },
                    majorTickLines: { visible: false },
                    title: { text: 'Year' },
                    labelPlacement:"onTicks"
                },

                //Initializing Primary Y Axis	
                primaryYAxis:
                {
                    axisLine: { visible: false },
                    majorTickLines: { visible: false },
                    title: { text: 'Rate in %' },
                    labelFormat: '{value}%'
                },

                //Initializing Common Properties for all the series
                commonSeriesOptions:
                {
                    type: 'column',
                    enableAnimation: true,
                    style: { border: { width: 2 } }

                },

                //Initializing Series
                series:
                [
                    {
                        points: [{ x: "Ene", y: 10 }, { x: "Feb", y: 20 }, { x: "Mar", y: 30 }, { x: "Abr", y: 40 },
                             { x: "May", y: 50 }, { x: "Jun", y: 60 }, { x: "Jul", y: 70 }, { x: "Ago", y: 80 },
			                 { x: "Sep", y: 90 }, { x: "Oct", y: 100 }, { x: "Nov", y: 110 }, { x: "Dic", y: 120 }],
                        name: 'US',
                        border: { color: 'transparent' },
                        opacity: 0.5,
                        fill: '#C4C24A'
                    },
                    {
                        points: [{ x: "Ene", y: 15 }, { x: "Feb", y: 35 }, { x: "Mar", y: 50 }, { x: "Abr", y: 55 },
                             { x: "May", y: 60 }, { x: "Jun", y: 65 }, { x: "Jul", y: 70 }, { x: "Ago", y: 70 },
			                 { x: "Sep", y: 71 }, { x: "Oct", y: 72 }, { x: "Nov", y: 110 }, { x: "Dic", y: 130 }],
                        name: 'France',
                        opacity: 0.5,
                        border: { color: 'transparent' },
                        fill: '#69D2E7'
                    }                    
                ],
                title: { text: 'Inflation Rate' },
                isResponsive: true,
                load: "loadTheme",
                size: { height: "600" },
                legend: { visible: true }
            });
        });
        var data10 = [
            {
                points: [{ x: "Ene", y: 10 }, { x: "Feb", y: 20 }, { x: "Mar", y: 30 }, { x: "Abr", y: 40 },
                               { x: "May", y: 50 }, { x: "Jun", y: 60 }, { x: "Jul", y: 70 }, { x: "Ago", y: 80 },
                               { x: "Sep", y: 90 }, { x: "Oct", y: 100 }]
            },
            {
                points: [
                    { x: "Ene", y: 15 }, { x: "Feb", y: 35 }, { x: "Mar", y: 50 }, { x: "Abr", y: 55 },
                             { x: "May", y: 60 }, { x: "Jun", y: 65 }, { x: "Jul", y: 70 }, { x: "Ago", y: 70 },
			                 { x: "Sep", y: 71 }, { x: "Oct", y: 72 }
                ]
            }
        ];

        var data3 = [
            {
                points: [{ x: "Ene", y: 10 }, { x: "Feb", y: 20 }, { x: "Mar", y: 30 }]
            },
            {
                points: [{ x: "Ene", y: 15 }, { x: "Feb", y: 35 }, { x: "Mar", y: 50 }]
            }
        ];

        function updateDatasource(element) {
            //Get drop-down value
            var selection = element.options[element.selectedIndex].value;

            //Create chart instance
            var chart = $("#container").ejChart("instance");

            //Clear existing points before updating
            for (var i = 0, length = chart.model.series.length; i < length; i++)
                chart.model.series[i].points = [];

            //Using option method to change the points
            $("#container").ejChart('option', { series: selection == 10 ? data10 : data3 });
        }

        function updateDatasourceRedraw(element) {
            //Get drop-down value
            var selection = element.options[element.selectedIndex].value;

            //Create chart instance
            var chart = $("#container").ejChart("instance");

            //Replace existing points with new points or data
            for (var i = 0, length = chart.model.series.length; i < length; i++)
                chart.model.series[i].points = selection == 10 ? data10[i].points : data3[i].points;

            //Redraw the chart widget
            chart.redraw();
        }

    </script>
</head>
<body>
    Option method: <select onchange="updateDatasource(this)">
        <option value="10">10 points</option>
        <option value="3">3 points</option>
    </select>
    <br /> <br /> <br />
    Redraw method: <select onchange="updateDatasourceRedraw(this)">
        <option value="10">10 points</option>
        <option value="3">3 points</option>
    </select>

    <div id="container"></div> 
    <form id="form1" runat="server">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-md-8 col-lg-8">
                    <div id="divMensaje1" class="alert fade in alert-danger" style="display: none;" onclick="ocultar()">
                        <i class="icon-remove close" data-dismiss="alert"></i>
                        <asp:Label ID="mensaje1" runat="server" Text="sin Informacion"></asp:Label>
                    </div>
                    <div id="ch1"></div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
